Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router
Interface Job

All Known Subinterfaces:
  ReplyJob

All Known Implementing Classes:
  BootCommSystemJob, BootNetworkDbJob, BootPeerManagerJob, BuildTrustedLinksJob, CreateRouterInfoJob, CreateSessionJob, ExpireJob, ExpireLeasesJob, ExpireRoutersJob, ExploreJob, ExploreKeySelectorJob, FloodfillMonitorJob, FloodfillStoreJob, FloodfillVerifyStoreJob, FloodOnlyLookupMatchJob, FloodOnlyLookupTimeoutJob, FloodOnlySearchJob, FloodSearchJob, GetBidsJob, HandleDatabaseLookupMessageJob, HandleDatabaseStoreMessageJob, HandleFloodfillDatabaseLookupMessageJob, HandleFloodfillDatabaseStoreMessageJob, HandleGarlicMessageJob, HarvesterJob, JobImpl, LoadClientAppsJob, LoadClientAppsJob.DelayedRunClient, LoadRouterInfoJob, LookupDestJob, MessageReceivedJob, OutboundClientMessageOneShotJob, PeerTestJob, PublishLocalRouterInfoJob, ReadConfigJob, RebuildRouterInfoJob, ReportAbuseJob, RepublishLeaseSetJob, RequestLeaseSetJob, SearchJob, SearchJob.FailedJob, SearchReplyJob, SearchUpdateReplyFoundJob, SendMessageDirectJob, SingleLookupJob, SingleSearchJob, StartAcceptingClientsJob, StartExplorersJob, StartupJob, StoreJob, TestJob

    public interface Job

Defines an executable task

Method Summary
`void` | `dropped()` the router is extremely overloaded, so this job has been dropped.
`Exception` | `getAddedBy()`
`long` | `getJobId()` unique id
`String` | `getName()` Descriptive name of the task
`JobTiming` | `getTiming()` Timing criteria for the task
`void` | `runJob()` Actually perform the task.

Method Detail

### getName

    String getName()

  Descriptive name of the task

### getJobId

    long getJobId()

  unique id

### getTiming

    JobTiming getTiming()

  Timing criteria for the task

### runJob

    void runJob()

  Actually perform the task. This call blocks until the Job is complete.

### getAddedBy

    Exception getAddedBy()

### dropped

    void dropped()

  the router is extremely overloaded, so this job has been dropped. if for some reason the job *must* do some cleanup / requeueing of other tasks, it should do so here.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD